Skip to main content
GET
/
v1
/
analytics
/
taxonomies
/
{taxonomy_id}
/
enrichments
Get Enrichment History
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/taxonomies/{taxonomy_id}/enrichments \
  --header 'Authorization: Bearer <token>'
{
  "taxonomy_id": "<string>",
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "metrics": [
    {
      "time_bucket": "2023-11-07T05:31:56Z",
      "enrichment_count": 123,
      "success_count": 123,
      "failure_count": 123,
      "avg_latency_ms": 123,
      "success_rate": 123
    }
  ],
  "summary": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taxonomy_id
string
required

Query Parameters

start_date
string<date-time> | null
end_date
string<date-time> | null
group_by
string
default:day

Response

Successful Response

Taxonomy enrichment history response.

taxonomy_id
string
required
time_range
TimeRange · object
required

Time range for analytics queries.

metrics
EnrichmentMetric · object[]
required
summary
Summary · object